Author: Adrian Föder Category: Node handling
Created: 2012-09-03 Assigned To: Aske Ertmann
Updated: 2012-09-04 Due date: 2012-08-15
Subject: Sections are not published in the current publishing process, so any content of multi column elements fails to 

display
Description

Currently, a four-column-container is added to the site, each column having plain TS text objects.
The publish button is pressed and went disabled, after changing some content the publish button is pressed again.
However, the column content is not part of the exported XML, it's just

 1<?xml version="1.0" encoding="UTF-8"?>
 2<root>
 3    <site nodeName="mysite">
 4        <properties><!-- abridged --></properties>
 5        <node identifier="f8f70a5f-7fcd-4e2c-b677-ee918a436c5c" type="TYPO3.TYPO3:Page" nodeName="homepage" locale
="">
 6            <properties>
 7                <title>Start</title>
 8            </properties>
 9            <node identifier="560e38d2-5246-4f23-b2ca-1d26334834df" type="TYPO3.TYPO3:Section" nodeName="main" locale
="">
10                <node identifier="59110f02-e0fa-4a61-8b9f-38f47ede75f2" type="TYPO3.TYPO3:FourColumn" nodeName="
502780c427f66" locale="">
11                    <properties>
12                        <layout>25-25-25-25</layout>
13                    </properties>
14                </node>
15            </node>
16        </node>
17    </site>
18</root>

if that helps; the db content looks like

model_workspace:                                                                                                       
flow3_persistence_identifier         | baseworkspace                        | rootnode                             | name       
0ac909bc-0cf4-4ad1-80dd-5f5580c2415d | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |
1bb9382b-3d09-454e-8f4a-8f55350308b9 | user-adrian
0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |                                      | 31047548-8e7b-4d7b-bbb2-919f07bb0f20 | live       

model_node:                                                                                                                                                                                    
                                                                                                                                                                                                      
53f70cc2-11ab-43dc-b69b-65ab187872a8 | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  | /sites/mysite/homepage                     
                    | f8f70a5f-7fcd-4e2c-b677-ee918a436c5c | 100 | a:1:{s:5:"title";s:5:"Start";}                                                               
                               | TYPO3.TYPO3:Page       | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite                                    
a7602ae7-94f4-4133-ae1f-2927eef35284 | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66                       | 59110f02-e0fa-4a61-8b9f-38f47ede75f2 | 144 |
a:1:{s:6:"layout";s:11:"25-25-25-25";}                                                                                       | TYPO3.TYPO3:FourColumn | 0 | 0
|  |  | 0 | a:0:{} | 4 | /sites/mysite/homepage/main                      
ea9f9ce8-a115-4d71-8924-c602090f214a | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  | /sites/mysite/homepage/main             
                       | 560e38d2-5246-4f23-b2ca-1d26334834df | 100 | a:0:{}                                                                                         
                             | TYPO3.TYPO3:Section    | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage                           

0c0f13b7-3217-4cca-bafc-7fa2875a9cd8 | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66/column1/50278122c4de5 | 8ebd41bf-62c8-4e2d-a3cd-31dc2604df94 | 100 |
a:2:{s:5:"title";s:26:"<h1>Zweite Spalte<br></h1>";s:4:"text";s:23:"<p>Enter text here.</p>";}                               |
TYPO3.TYPO3:Text       | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage/main/502780c427f66/column1
2f8bac30-0c56-4cd6-80ba-9bba5fc061ef | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66/column3/5027815de974b | 735bd7d3-ec1b-4854-9b0c-0ab5391d3a12 | 100 |
a:2:{s:5:"title";s:26:"<h1>Vierte Spalte<br></h1>";s:4:"text";s:23:"<p>Enter text&nbsp;</p>";}                               |
TYPO3.TYPO3:Text       | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage/main/502780c427f66/column3
aba0ba6c-68a4-4e91-ab94-c5ef9815d29a | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66/column0/502780f0f3926 | 822d9909-2ee2-44bb-a422-b2dffcde3276 | 100 |
a:2:{s:5:"title";s:38:"<h1>Ich bin eine Überschrift<br></h1>";s:4:"text";s:42:"<p>Und ein Plaintext; erste Spalte<br></p>";} |
TYPO3.TYPO3:Text       | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage/main/502780c427f66/column0
b9cb9218-587a-4da7-b3a1-61f80158ac70 | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66/column2/5027813fca49c | f1047ac7-a030-4405-9d44-2926dc3bb114 | 100 |
a:2:{s:5:"title";s:26:"<h1>Dritte Spalte<br></h1>";s:4:"text";s:22:"<p>Enter text here</p>";}                                |
TYPO3.TYPO3:Text       | 0 | 0 |  |  | 0 | a:0:{} | 6 | /sites/mysite/homepage/main/502780c427f66/column2

If you need further info, don't hesitate to ask; it's just an experimental web page.

Related issues:
follows TYPO3.TYPO3CR - Bug # 39795: Sections are not published in the curren... Resolved 2012-08-14

History
#1 - 2012-09-03 12:02 - Adrian Föder
- Target version set to Sprint 10 (1.0 TP1)
- % Done changed from 100 to 0

still have this issue; the Inspector breadcrumb items indeed lose their "publishable" status when hitting the Publish button, but the elements are still no
part of the exported XML.

#2 - 2012-09-04 20:38 - Aske Ertmann
- Assigned To set to Aske Ertmann

#3 - 2012-09-04 21:26 - Adrian Föder

OK, looks like this is due to some "inter state" behavior from before the patch and after:
I had the Page being in live workspace, while the direct descendant Section, its path ending with /main,  was not published.
All descendants of this /main Section, however, were in Live workspace again.
So my assumption was, that this /main Section just didn't get published and therefore "blocking" the recursive publishing/export.

What additionally led to this wrong explanation by me, was the fact that I thought that hitting the "Publish" button always published "everything" down
from the Page node, but actually it publishes only the (considered) changed nodes.
#4 - 2012-09-04 23:42 - Karsten Dambekalns
- Status changed from New to Resolved
- % Done changed from 0 to 100

I just tried this and it works fine. Inconsistent node states can of course break this, but… sorry! ;)
